org.apache.cassandra.cql3

## Class Term.MultiItemTerminal

- java.lang.Object
- - org.apache.cassandra.cql3.Term.Terminal
  - - org.apache.cassandra.cql3.Term.MultiItemTerminal

- All Implemented Interfaces:
    Term
  Direct Known Subclasses:
    Lists.Value, Tuples.Value, UserTypes.Value
  Enclosing interface:
    Term

      public abstract static class Term.MultiItemTerminal
      extends Term.Terminal

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.cassandra.cql3.Term

      `Term.MultiColumnRaw, Term.MultiItemTerminal, Term.NonTerminal, Term.Raw, Term.Terminal`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MultiItemTerminal()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract java.util.List<java.nio.ByteBuffer>` | `getElements()`

    - ### Methods inherited from class org.apache.cassandra.cql3.Term.Terminal

      `addFunctionsTo, bind, bindAndGet, collectMarkerSpecification, containsBindMarker, get`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MultiItemTerminal

          public MultiItemTerminal()

  - ### Method Detail

    - #### getElements

          public abstract java.util.List<java.nio.ByteBuffer> getElements()

Copyright © 2018 The Apache Software Foundation